import { OnInit } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { DomSanitizer } from '@angular/platform-browser';
export declare class SummernoteComponent implements OnInit {
    private sanitizer;
    parentFrom: FormGroup;
    controlName: string;
    model: any;
    html: string;
    form: FormGroup;
    config: any;
    constructor(sanitizer: DomSanitizer);
    ngOnInit(): void;
    ngDoCheck(): void;
    summernoteInit(event: any): void;
    onPaste(event: ClipboardEvent): void;
}
